def nasobilka(max):
    """
    tabulka násobení do max * max

    Funkce vytiskne zarovnanou tabulku součinů požadované
    velikosti. Činitelé jsou vyznačení v záhlaví řádků i 
    sloupců.
    """
    # titulek tabulky a záhlaví
    print("Násobilka do {}".format(max).center(4 + 5 * max))
    print()
    print("{:2s} |".format(""), end = "")
    for sloupec in range(1, max + 1): # záhlaví sloupců
        print("{:5d}".format(sloupec), end = "")
    print() 
    print("-" * 3 + "+" + "-" * 5 * max)
    # tisk řádků tabulky
    for radek in range(1, max + 1):
        print("{:2d} |".format(radek), end = "")
        for sloupec in range(1, max + 1): # tisk součinů
            print("{:5d}".format(radek * sloupec), end = "")
        print() # další řádek

# testovací příklad

nasobilka(15)
